Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154071 - AssertionError while getting source in up2date
Summary: AssertionError while getting source in up2date
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 00:19 UTC by Tim Nelson
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:05:07 UTC


Attachments (Terms of Use)

Description Tim Nelson 2005-04-07 00:19:58 UTC
Description of problem:
up2date gives the following error:
----------------------------------------------------------------------
$ sudo up2date --get-source rpm-build

Fetching all package list for channel: rhel-i386-es-3...
########################################

Fetching all package list for channel: rhel-i386-es-3-extras...
########################################

Fetching all package list for channel: rhel-i386-es-3-devsuite...
########################################

Fetching package list for channel: rhel-i386-es-3...
########################################

Fetching package list for channel: rhel-i386-es-3-extras...
########################################

Fetching package list for channel: rhel-i386-es-3-devsuite...
########################################
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 686, in main
    return getPackages(pkgNames, source=1)
  File "/usr/sbin/up2date", line 1011, in getPackages
    onlySource = source)
  File "up2date.py", line 204, in getPackage
  File "rpcServer.py", line 308, in doCall
  File "repoDirector.py", line 38, in getPackageSource
  File "rpmSource.py", line 198, in getPackageSource
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py", line 181, in
getPackageSource
    fd = self.s.getPackageSource(channel['label'], filename)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 563, in __call__
    result = self._send(self._name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 308, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 184, in request
    return self._process_response(fd, connection)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 191, in
_process_response
    fd = resp.decode(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 418, in decode
    self.read(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 399, in read
    self.io = _smart_total_read(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 474, in
_smart_total_read
    chunk = fd.read(bufferSize)
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line 73, in read
    s = self.fp.read(amt)
  File "/usr/lib/python2.2/httplib.py", line 1140, in read
    assert not self._line_consumed and self._line_left
AssertionError
----------------------------------------------------------------------


Version-Release number of selected component (if applicable):
I did "up2date up2date", and it made no difference.  
$ rpm -q up2date
up2date-4.2.57-2


How reproducible:
Every time

Steps to Reproduce:
See report above
  
Actual results:
See above

Expected results:
source RPM downloaded to /var/spool/up2date, or installed in /usr/src/redhat, or
whatever.  

Additional info:
It makes it difficult to fix bug #144587

Comment 1 RHEL Product and Program Management 2007-10-19 19:05:07 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.